/api/v1/current_user/allowed_node_roles:
  get:
    summary: Get the allowed node roles.
    responses:
      '200':
        $ref: "#/components/responses/CurrentUserAllowedNodeRoles"
      '401':
        $ref: "#/components/responses/Unauthorized"
      '404':
        $ref: "#/components/responses/NotFound"
    tags:
      - Session

/api/v1/current_user/allowed_user_access_durations:
  get:
    summary: Get the allowed access durations.
    responses:
      '200':
        $ref: "#/components/responses/CurrentUserAllowedAccessDurations"
      '401':
        $ref: "#/components/responses/Unauthorized"
      '404':
        $ref: "#/components/responses/NotFound"
    tags:
      - Session

/api/v1/current_user/allowed_user_access_levels:
  get:
    summary: Get the allowed access levels.
    responses:
      '200':
        $ref: "#/components/responses/CurrentUserAllowedAccessLevels"
      '401':
        $ref: "#/components/responses/Unauthorized"
      '404':
        $ref: "#/components/responses/NotFound"
    tags:
      - Session

/api/v1/current_user/allowed_user_actions:
  get:
    summary: Get the allowed actions.
    responses:
      '200':
        $ref: "#/components/responses/CurrentUserAllowedActions"
      '401':
        $ref: "#/components/responses/Unauthorized"
      '404':
        $ref: "#/components/responses/NotFound"
    tags:
      - Session

/api/v1/current_user/allowed_user_roles:
  get:
    summary: Get the allowed user roles.
    responses:
      '200':
        $ref: "#/components/responses/CurrentUserAllowedUserRoles"
      '401':
        $ref: "#/components/responses/Unauthorized"
      '404':
        $ref: "#/components/responses/NotFound"
    tags:
      - Session

/api/v1/current_user/allowed_user_unreg_date:
  get:
    summary: Get the allowed maximum unregistration date.
    responses:
      '200':
        $ref: "#/components/responses/CurrentUserAllowedUnregDate"
      '401':
        $ref: "#/components/responses/Unauthorized"
      '404':
        $ref: "#/components/responses/NotFound"
    tags:
      - Session
